Bug 841881 - main bluetooth icon is not moving when clicked
main bluetooth icon is not moving when clicked
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.0
x86_64 Linux
low Severity low
: beta
: 7.0
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 09:17 EDT by Vladimir Benes
Modified: 2014-06-13 08:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:06:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast (1.16 MB, video/webm)
2012-07-20 09:19 EDT, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2012-07-20 09:17:48 EDT
Description of problem:
when I click main bluetooth icon in control-center bluetooth dialog it actually does what it should but it never move to the other position. When clicked again it doesn't do anything but change the position to correct one.. See attached video.

Version-Release number of selected component (if applicable):
control-center-3.4.2-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
in bluetooth are of control-center
1.enable bluetooth
2.disable bluetooth
  
Actual results:
you need to click several times to reflect correct state

Expected results:
should work correctly

Additional info:
Comment 1 Vladimir Benes 2012-07-20 09:19:45 EDT
Created attachment 599391 [details]
screencast
Comment 2 Matthias Clasen 2012-10-12 21:35:56 EDT
I still see this in 3.6.0
Comment 3 Bastien Nocera 2012-11-08 12:46:33 EST
Fixed upstream, will be in gnome-control-center 3.6.3

commit 9818f3b25620ffa180726ac2c20abc3abce374f4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 18:31:07 2012 +0100

    bluetooth: Fix main switch acting bizarrely
    
    The only time we were looking at the powered state of the adapter
    is when the killswitch state was changing. Except that we're fast enough
    that bluetoothd didn't have time to power up the adapter, so its
    state was unpowered, which we would set the switch to.
    
    The switch was off, the adapter was on.
    
    We fix that problem by tracking the powered state of the adapter
    separately.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=841881
Comment 4 Vladimir Benes 2013-01-16 11:45:11 EST
working like a charm now, thanks
-> VERIFIED
Comment 5 Ludek Smid 2014-06-13 08:06:45 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.